import {
  __decorateClass
} from "../../chunks/chunk.QU3DSPNU.js";
import { query } from "lit/decorators.js";
import { GdsText } from "../text/index.js";
class GdsFormattedText extends GdsText {
  updated(changedProperties) {
    super.updated(changedProperties);
    if (this.element) {
      this.element.innerHTML = this.formattedValue;
    }
  }
}
__decorateClass([
  query("[tag]")
], GdsFormattedText.prototype, "element", 2);
export {
  GdsFormattedText
};
